Bug 3279 - Ошибка execve() в kernel24-up-2.4.18-alt13 (Мастер 2.0)
: Ошибка execve() в kernel24-up-2.4.18-alt13 (Мастер 2.0)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-up)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-11-17 14:23 by
Modified: 2005-08-31 03:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-11-17 14:23:18
В данном ядре наблюдается проблема с запуском дочерних приложений в интенсивном
режиме работы. В таком качестве работает popa3d, запускаемый посредством
xinetd.
При одновременном запуске более 10 дочек popa3d наблюдается "подвисание"
xinetd,
после чего им не запускается ни один процесс вообще. Кроме этого, на файлы,
занятые popa3d вешался ядерный лок и они переставали быть доступными. Popa3d
завершался с ошибкой:

Failed or refused to load /var/mail/имя_пользователя

Использование вместо popa3d+xinetd, программы tpop3d (standalone server)
приводил в падению tpop3d при форке с ошибкой (лог приводится):
Nov 11 08:14:59 mw tpop3d[29839]: net_loop: tpop3d version 1.4.2 successfully
startedNov 11 08:15:10 mw tpop3d[29839]: listeners_post_select: client
[5]212.96.100.100/narzan.com: connected
Nov 11 08:15:19 mw tpop3d[29839]: quit: signal 11 post_fork = 0                


Вследствие чего был сделал вывод об ошибке в системном вызове.
Проблема временно решается перезапуском xinetd.
На ядре kernel24-up-2.4.18-alt6master подобного не наблюдалось.




Expected Results:  
Новая версия ядра с исправленими данной ошибки.
------- Comment #1 From 2004-01-06 14:42:24 -------
fixed in kernel24-2.4.18-alt14